> File ruby-1.8.7-rational.patch added

I assume this can't be applied to the 1.9 branch then?
-r